/*
 * AlleleFrequency.java
 *
 * Created on den 19 december 2006, 14:02
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package phenobase.data;

import phenobase.storage.*;
import java.io.*;

/**
 *
 * @author fresjo
 */
public class AlleleFrequency implements DataElement {
    
    /** Creates a new instance of AlleleFrequency */
    public AlleleFrequency() {
        COUNT++;
        id = COUNT;
    }
    
    public AlleleFrequency(int i) {
        id = i;
    }
    
    public int getType() {
        return DataElement.ALLELE_FREQUENCY;
    }
    
    public int getID() {
        return id;
    }
    
    public void setAlleleCombo(String s) {
        alleleCombo = s;
    }
    
    public String getAlleleCombo() {
        return alleleCombo;
    }
    
    public void setFrequency(float f) {
        frequency = f;
    }
    
    public float getFrequency() {
        return frequency;
    } 
    
    public String toString() {
        return alleleCombo + "(" + frequency + ")";
    } 
        
    public void writeXML(PrintStream out, int offset) {
        //Creates the offset string that is pasted to the beginning of each line of XML
        String offsetString = "";
        for(int i = 0; i < offset; i++) {
            offsetString = offsetString + " ";
        }
        //Writes the XML
        out.println(offsetString + "<alleleFrequency>");
        out.println(offsetString + "  <alleleCombo>" + alleleCombo + "</alleleCombo>");
        out.println(offsetString + "  <frequency>" + frequency + "</frequency>");
        out.println(offsetString + "</alleleFrequency>");
    }
    
    public static int COUNT;
    
    private int id;
    private String alleleCombo;
    private float frequency;
    
}
