/*
 * Assayedset.java
 *
 * Created on den 9 november 2005, 11:09
 */

package phenobase.data;

import java.io.*;
import phenobase.storage.*;

/**
 *
 * @author fresjo
 */
public class Assayedpanel implements DataElement {
    
    public static int COUNT;
    
    private String labID4Assayedpanel;
    private String composition;
    private int nrOfIndividuals;
    private int nrOfMales;
    private int nrOfFemales;
    private int nrOfProbands;
    private int nrOfParents;
    private String description;
    private DataArray selectionCriterias;
    private int id;
    
    /** Creates a new instance of Assayset */
    public Assayedpanel() {
        labID4Assayedpanel = "";
        composition = "";
        nrOfIndividuals = 0;
        nrOfMales = 0;
        nrOfFemales = 0;
        nrOfProbands = 0;
        nrOfParents = 0;
        description = ""; 
        selectionCriterias = new DataArray();
        id = COUNT;
        COUNT++;
    }
    
    public Assayedpanel(int i) {
        labID4Assayedpanel = "";
        composition = "";
        nrOfIndividuals = 0;
        nrOfMales = 0;
        nrOfFemales = 0;
        nrOfProbands = 0;
        nrOfParents = 0;
        description = ""; 
        selectionCriterias = new DataArray();
        id = i;
    }

    public void setCount(int i) {
        COUNT = i;
    }
    
    public int getID() {
        return id;
    }
    
    public void setLabID(String s) {
        labID4Assayedpanel = s;
    }
    
    public String getLabID() {
        return labID4Assayedpanel;
    }
    
    public void setComposition(String s) {
        composition = s;
    }
    
    public String getComposition() {
        return composition;
    }
        
    public void setNrOfIndividuals(int i) {
        nrOfIndividuals = i;
    }
    
    public int getNrOfIndividuals() {
        return nrOfIndividuals;
    }
    
    public void setNrOfMales(int i) {
        nrOfMales = i;
    }
    
    public int getNrOfMales() {
        return nrOfMales;
    }
    
    public void setNrOfFemales(int i) {
        nrOfFemales = i;
    }
    
    public int getNrOfFemales() {
        return nrOfFemales;
    }
    
    public void setNrOfProbands(int i) {
        nrOfProbands = i;
    }
    
    public int getNrOfProbands() {
        return nrOfProbands;
    }
    
    public void setNrOfParents(int i) {
        nrOfParents = i;
    }
    
    public int getNrOfParents() {
        return nrOfParents;
    }
    
    public void setDescription(String s) {
        description = s;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void addSelectionCriteria(SelectionCriteria s) {
        selectionCriterias.add(s);
    }
    
    public Object[] getSelectionCriteriaArray() {
        return selectionCriterias.getArray();
    }
        
    public int getType() {
        return DataElement.ASSAYEDPANEL;
    }
    
    public String toString() {
        return labID4Assayedpanel;
    }
        
    public void writeXML(PrintStream out, int offset) {
        String offsetString = "";
        for(int i = 0; i < offset; i++) {
            offsetString = offsetString + " ";
        }
        out.println(offsetString + "<assayedpanel>");
        out.println(offsetString + "  <labID4Assayedpanel>" + labID4Assayedpanel + "</labID4Assayedpanel>");
        out.println(offsetString + "  <nrOfIndividuals>" + nrOfIndividuals + "</nrOfIndividuals>");
        out.println(offsetString + "  <nrOfMales>" + nrOfMales + "</nrOfMales>");
        out.println(offsetString + "  <nrOfFemales>" + nrOfFemales + "</nrOfFemales>");
        out.println(offsetString + "  <nrOfProbands>" + nrOfProbands + "</nrOfProbands>");
        out.println(offsetString + "  <nrOfParents>" + nrOfParents + "</nrOfParents>");
        out.println(offsetString + "  <description>" + description + "</description>");
        for(int i = 0; i < selectionCriterias.nrOfElements(); i++) {
            SelectionCriteria tmp = (SelectionCriteria)selectionCriterias.get(i);
            tmp.writeXML(out, offset + 2);
        }
        out.println(offsetString + "</assayedpanel>");
    }
}
