/*
 * AbstractDataElement.java
 *
 * Created on den 24 augusti 2005, 15:37
 */

package phenobase.data;

import java.io.*;

/**
 *
 * @author fresjo
 */
public interface DataElement {
    
    public final static int SUBMISSION = 0;
    
    public final static int RESEARCHER = 1;
    
    public final static int CITATION = 2;
    
    public final static int SAMPLEPANEL = 3;
    
    public final static int PHENOTYPE_PROPERTY = 4;
    
    public final static int PHENOTYPE_METHOD = 5;
    
    public final static int ASSAYEDPANEL = 6;
    
    public final static int PHENOTYPE_VALUE = 7;
    
    public final static int PHENOTYPE_VALUE_DETAIL = 8;
    
    public final static int MARKER = 9;
    
    public final static int ALLELE = 10;
    
    public final static int OLIGO = 11;
    
    public static final int ASSAY = 12;
    
    public static final int NR_WITH_PHENOTYPE = 13;
    
    public static final int SAMPLEPANEL_OVERLAP = 14;
    
    public static final int SELECTION_CRITERIA = 15;
    
    public static final int GENOTYPE_FREQUENCY = 16;
    
    public static final int GENOTYPE_FREQUENCY_CLUSTER = 17;
    
    public static final int GENOTYPE_SIGNIFICANCE = 18;
    
    public static final int ALLELE_FREQUENCY = 19;
    
    public static final int ALLELE_FREQUENCY_CLUSTER = 20;
    
    public static final int ALLELE_SIGNIFICANCE = 21;
    
    public static final int EXPERIMENT = 22;
    
    public int getType();
    
    public int getID();
    
    public void writeXML(PrintStream out, int offset);

}
