/*
 * GenotypeFrequency.java
 *
 * Created on den 18 december 2006, 16:02
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package phenobase.data;

import java.io.*;

/**
 *
 * @author fresjo
 */
public class GenotypeFrequency implements DataElement {
    
    /** Creates a new instance of GenotypeFrequency */
    public GenotypeFrequency() {
        COUNT++;
        id = COUNT;
    }
    
    public int getType() {
        return DataElement.GENOTYPE_FREQUENCY;
    }
    
    public int getID() {
        return id;
    }
    
    public void setGenotypeCombo(String s) {
        genotypeCombo = s;
    }
    
    public String getGenotypeCombo() {
        return genotypeCombo;
    }
    
    public void setFrequency(float f) {
        frequency = f;
    }
    
    public float getFrequency() {
        return frequency;
    } 
    
    public void setNrSamples(int i) {
        nrSamples = i;
    } 
    
    public int getNrSamples() {
        return nrSamples;
    }
    
    public void writeXML(PrintStream out, int offset) {
        //Creates the offset string that is pasted to the beginning of each line of XML
        String offsetString = "";
        for(int i = 0; i < offset; i++) {
            offsetString = offsetString + " ";
        }
        //Writes the XML
        out.println(offsetString + "<genotypeFrequency>");
        out.println(offsetString + "  <genotypeCombo>" + genotypeCombo + "</genotypeCombo>");
        out.println(offsetString + "  <frequency>" + frequency + "</frequency>");
        out.println(offsetString + "  <numberSamplesWithGenotype>" + nrSamples + "</numberSamplesWithGenotype>");
        out.println(offsetString + "</genotypeFrequency>");
    }
    
    public static int COUNT;
    
    private int id;
    private String genotypeCombo;
    private float frequency;
    private int nrSamples;
    
}
