/*
 * NumberWithPhenotype.java
 *
 * Created on den 11 december 2006, 20:05
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package phenobase.data;

import phenobase.storage.*;
import java.io.*;

/**
 *
 * @author fredrik
 */
public class NumberWithPhenotype implements DataElement {
    
    /** Creates a new instance of NumberWithPhenotype */
    public NumberWithPhenotype() {
        phenotypeValue = "";
        nrOfIndividuals = 0;
        COUNT++;
        id = COUNT;
    }
    
    public int getID() {
        return id;
    }
    
    public String getPhenotypeValue() {
        return phenotypeValue;
    }
    
    public void setPhenotypeValue(String s) {
        phenotypeValue = s;
    }
    
    public int getNrOfIndividuals() {
        return nrOfIndividuals;
    }
    
    public void setNrOfIndividuals(int i) {
        nrOfIndividuals = i;
    }
    
    public String toString() {
        return phenotypeValue + "(" + nrOfIndividuals + ")";
    }
    
    public int getType() {
        return DataElement.NR_WITH_PHENOTYPE;
    }
    
    public void writeXML(PrintStream out, int offset) {
        String os = "";
        for(int i = 0; i < offset; i++) {
            os = os + " ";
        }
        out.println(os + "<associatedPhenotypeValue>");
        out.println(os + "  <phenotypeValue>" + phenotypeValue + "</phenotypeValue>");
        out.println(os + "  <nrOfIndividuals>" + nrOfIndividuals + "</nrOfIndividuals>");
        out.println(os + "</associatedPhenotypeValue>");
    }
    
    public static int COUNT;
    
    private String phenotypeValue;
    private int nrOfIndividuals;
    private int id;
}
