/*
 * Oligo.java
 *
 * Created on den 13 juli 2006, 10:40
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package phenobase.data;

import java.io.*;

/**
 *
 * @author fresjo
 */
public class Oligo implements DataElement {

    public static int COUNT;
    
    private String name;
    private String role;
    private String sequence;
    private String modifications;
    private int id;
    
    /** Creates a new instance of Marker */
    public Oligo() {
        id = COUNT;
        COUNT++;
    }
    
    public int getID() {
        return id;
    }
    
    public int getType() {
        return DataElement.OLIGO;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String s) {
        name = s;
    }
    
    public String getRole() {
        return role;
    }
   
    public void setRole(String s) {
        role = s;
    }
     
    public String getModifications() {
        return modifications;
    }
    
    public void setModifications(String s) {
        modifications = s;
    }
    
    public String getSequence() {
        return sequence;
    }
    
    public void setSequence(String s) {
        sequence = s;
    }
    
    public void writeXML(PrintStream out, int offset) {
        String offsetString = "";
        for(int i = 0; i < offset; i++) {
            offsetString = offsetString + " ";
        }
        out.println(offsetString + "<oligo>");
        out.println(offsetString + "  <name>" + name + "</name>");
        out.println(offsetString + "  <role>" + role + "</role>");
        out.println(offsetString + "  <sequence>" + sequence + "</sequence>");
        out.println(offsetString + "  <modifications>" + modifications + "</modifications>");
        out.println(offsetString + "</oligo>");
    }
    public String toString() {
        return name + "(" + role + ")";
    }    
    
}
