/*
 * SamplesetOverlap.java
 *
 * Created on den 6 april 2006, 13:06
 */

package phenobase.data;

import java.io.*;

/**
 *
 * @author fresjo
 */
public class SamplepanelOverlap implements DataElement {
    
    public static int COUNT;
    
    private String labID;
    private String overlapDetails;
    private int id;
    
    /** Creates a new instance of SamplesetOverlap */
    public SamplepanelOverlap() {
        labID = "";
        overlapDetails = "";
        COUNT++;
        id = COUNT;
    }
    
    public void setLabID(String s) {
        labID = s;
    }
    
    public String getLabID() {
        return labID;
    }
    
    public void setOverlapDetails(String s) {
        overlapDetails = s;
    }
    
    public String getOverlapDetails() {
        return overlapDetails;
    }
    
    public int getID() {
        return id;
    }
    
    public int getType() {
        return DataElement.SAMPLEPANEL_OVERLAP;
    }
    
    public void writeXML(PrintStream out, int offset) {
        String os = "";
        for(int i = 0; i < offset; i++) {
            os = os + " ";
        }
        out.println(os + "<samplepanelOverlap>");
        out.println(os + "  <labID4Samplepanel>" + labID + "</labID4Samplepanel>");
        out.println(os + "  <overlapDetails>" + overlapDetails + "</overlapDetails>");
        out.println(os + "</samplepanelOverlap>");
    }
    
    public String toString() {
        return labID;
    }
}