/*
 * SelectionCriteria.java
 *
 * Created on den 12 december 2006, 14:32
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package phenobase.data;

import java.io.*;

/**
 *
 * @author fredrik
 */
public class SelectionCriteria implements DataElement {
    
    /** Creates a new instance of SelectionCriteria */
    public SelectionCriteria() {
        COUNT++;
        id = COUNT;
    }
    
    public void setSamplepanelID(String s) {
        samplepanelID = s;
    }
    
    public String getSamplepanelID() {
        return samplepanelID;
    }
    
    public void setPhenotypeCriteria(String s) {
        phenotypeCriteria = s;
    }
    
    public String getPhenotypeCriteria() {
        return phenotypeCriteria;
    }
    
    public void setEnvironmentCriteria(String s) {
        environmentCriteria = s;
    }
    
    public String getEnvironmentCriteria() {
        return environmentCriteria;
    }
    
    public void setNrOfIndividuals(int i) {
        nrOfIndividuals = i;
    }
    
    public int getNrOfIndividuals() {
        return nrOfIndividuals;
    }
    
    public int getID() {
        return id;
    }
    
    public int getType() {
        return DataElement.SELECTION_CRITERIA;
    }
    
    public void writeXML(PrintStream out, int offset) {
        String os = "";
        for(int i = 0; i < offset; i++) {
            os = os + " ";
        }
        out.println(os + "<selectionCriteria>");
        out.println(os + "  <samplepanel>" + samplepanelID + "</samplepanel>");
        out.println(os + "  <phenotypeCriteria>" + phenotypeCriteria + "</phenotypeCriteria>");
        out.println(os + "  <environmentCriteria>" + environmentCriteria + "</environmentCriteria>");
        out.println(os + "  <numberOfIndividuals>" + nrOfIndividuals + "</numberOfIndividuals>");
        out.println(os + "</selectionCriteria>");
    }
    
    public static int COUNT;
    
    private String samplepanelID;
    private String phenotypeCriteria;
    private String environmentCriteria;
    private int nrOfIndividuals;
    private int id;
    
}
