/*
 * SamplesetOtherInformationPanel.java
 *
 * Created on den 23 december 2005, 16:46
 */

package phenobase.gui;

import phenobase.data.*;
/**
 *
 * @author  fresjo
 */
public class Samplepanel_OtherInformationPanel extends javax.swing.JPanel {
    
    /** Creates new form SamplesetOtherInformationPanel */
    public Samplepanel_OtherInformationPanel(SamplepanelPanel sp) {
        parent = sp;
        initComponents();  
    }
    
    public void clearForm() {
        modeOfRecruitmentField.setText("");
        diagnosisAgeRangeField.setText("");
        diagnosisPeriodField.setText("");
        samplingAgeRangeField.setText("");
        samplingPeriodField.setText("");
    }
    
    public void fillForm(Samplepanel s) {
        setModeOfRecruitment(s.getModeOfRecruitment());
        setDiagnosisAgeRange(s.getDiagnosisAgeRange());
        setDiagnosisPeriod(s.getDiagnosisPeriod());
        setSamplingAgeRange(s.getSamplingAgeRange());
        setSamplingPeriod(s.getSamplingPeriod());
    }
    
    public String getModeOfRecruitment() {
        return modeOfRecruitmentField.getText();
    }
    
    public void setModeOfRecruitment(String s) {
        modeOfRecruitmentField.setText(s);
    }
    
    public String getDiagnosisAgeRange() {
        return diagnosisAgeRangeField.getText();
    }
    
    public void setDiagnosisAgeRange(String s) {
        diagnosisAgeRangeField.setText(s);
    }
    
    public String getDiagnosisPeriod() {
        return diagnosisPeriodField.getText();
    }
    
    public void setDiagnosisPeriod(String s) {
        diagnosisPeriodField.setText(s);
    }
    
    public String getSamplingAgeRange() {
        return samplingAgeRangeField.getText();
    }
    
    public void setSamplingAgeRange(String s) {
        samplingAgeRangeField.setText(s);
    }
    
    public String getSamplingPeriod() {
        return samplingPeriodField.getText();
    }
    
    public void setSamplingPeriod(String s) {
        samplingPeriodField.setText(s);
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        navigationPanel = new javax.swing.JPanel();
        navigationButtonPanelWest = new javax.swing.JPanel();
        goToPopulationInformationButton = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        modeOfRecruitmentField = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        diagnosisAgeRangeField = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        diagnosisPeriodField = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        samplingAgeRangeField = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        samplingPeriodField = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();

        setLayout(new java.awt.GridBagLayout());

        navigationPanel.setLayout(new java.awt.BorderLayout());

        navigationPanel.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        goToPopulationInformationButton.setIcon(new javax.swing.ImageIcon("C:\\hgvbasePics\\left30.gif"));
        goToPopulationInformationButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                goToPopulationInformationButtonActionPerformed(evt);
            }
        });

        navigationButtonPanelWest.add(goToPopulationInformationButton);

        jLabel1.setText("Go To Population Information");
        navigationButtonPanelWest.add(jLabel1);

        navigationPanel.add(navigationButtonPanelWest, java.awt.BorderLayout.WEST);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(navigationPanel, gridBagConstraints);

        jLabel3.setForeground(java.awt.SystemColor.textHighlight);
        jLabel3.setText("Mode Of Recruitment");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel3, gridBagConstraints);

        modeOfRecruitmentField.setPreferredSize(new java.awt.Dimension(820, 19));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(modeOfRecruitmentField, gridBagConstraints);

        jLabel4.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel4.setForeground(new java.awt.Color(255, 51, 51));
        jLabel4.setText("Free text description of the way in which the selected Sample-Panel was recruited");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel4, gridBagConstraints);

        jLabel5.setForeground(java.awt.SystemColor.textHighlight);
        jLabel5.setText("Diagnosis Age Range");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel5, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(diagnosisAgeRangeField, gridBagConstraints);

        jLabel6.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel6.setForeground(new java.awt.Color(255, 51, 51));
        jLabel6.setText("The age range during which the selected Sample-Panel was first affected by the main phenotype (disease) in that group");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel6, gridBagConstraints);

        jLabel7.setForeground(java.awt.SystemColor.textHighlight);
        jLabel7.setText("Diagnosis Time Period");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel7, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(diagnosisPeriodField, gridBagConstraints);

        jLabel8.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel8.setForeground(new java.awt.Color(255, 51, 51));
        jLabel8.setText("The time period during which the selected Sample-Panel was first affected by the main phenotype (disease) in that group");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel8, gridBagConstraints);

        jLabel9.setForeground(java.awt.SystemColor.textHighlight);
        jLabel9.setText("Sampling Age Range");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel9, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(samplingAgeRangeField, gridBagConstraints);

        jLabel10.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel10.setForeground(new java.awt.Color(255, 51, 51));
        jLabel10.setText("The age range during which the selected Sample-Panel was recruited");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel10, gridBagConstraints);

        jLabel11.setForeground(java.awt.SystemColor.textHighlight);
        jLabel11.setText("Sampling Time Period");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel11, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(samplingPeriodField, gridBagConstraints);

        jLabel12.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel12.setForeground(new java.awt.Color(255, 51, 51));
        jLabel12.setText("The time period during which the selected Sample-Panel was recruited");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel12, gridBagConstraints);

    }// </editor-fold>//GEN-END:initComponents

    private void goToPopulationInformationButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_goToPopulationInformationButtonActionPerformed
        parent.switchPanel(SamplepanelPanel.POPULATION);
    }//GEN-LAST:event_goToPopulationInformationButtonActionPerformed
    
    private SamplepanelPanel parent;
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField diagnosisAgeRangeField;
    private javax.swing.JTextField diagnosisPeriodField;
    private javax.swing.JButton goToPopulationInformationButton;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JTextField modeOfRecruitmentField;
    private javax.swing.JPanel navigationButtonPanelWest;
    private javax.swing.JPanel navigationPanel;
    private javax.swing.JTextField samplingAgeRangeField;
    private javax.swing.JTextField samplingPeriodField;
    // End of variables declaration//GEN-END:variables
    
}
