/*
 * SamplesetPopulationInformationPanel.java
 *
 * Created on den 23 december 2005, 14:57
 */

package phenobase.gui;

import phenobase.data.*;

/**
 *
 * @author  fresjo
 */
public class Samplepanel_PopulationInformationPanel extends javax.swing.JPanel {
    
    /** Creates new form SamplesetPopulationInformationPanel */
    public Samplepanel_PopulationInformationPanel(SamplepanelPanel sp) {
        parent = sp;
        initComponents();
    }
    
    public void clearForm() {
        populationInformationField.setText("");
        geographicRegionInformationField.setText("");
        ethnicityInformationField.setText("");
        birthplaceInformationField.setText("");
        admixtureInformationField.setText("");
        environmentInformationField.setText("");
    }
    
    public void fillForm(Samplepanel s) {
        populationInformationField.setText(s.getPopulationInfo());
        geographicRegionInformationField.setText(s.getGeographicRegionInfo());
        ethnicityInformationField.setText(s.getEthnicityInfo());
        birthplaceInformationField.setText(s.getBirthplaceInfo());
        admixtureInformationField.setText(s.getAdmixtureInfo());
        environmentInformationField.setText(s.getEnvironmentInfo());
    }
    
    public String getPopulationInformation() {
        return populationInformationField.getText();
    }
    
    public String getGeographicRegionInformation() {
        return geographicRegionInformationField.getText();
    }
    
    public String getEthnicityInformation() {
        return ethnicityInformationField.getText();
    }
    
    public String getBirthplaceInformation() {
        return birthplaceInformationField.getText();
    }
    
    public String getAdmixtureInformation() {
        return admixtureInformationField.getText();
    }
    
    public String getEnvironmentInformation() {
        return environmentInformationField.getText();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        navigationPanel = new javax.swing.JPanel();
        navigationWestButtonPanel = new javax.swing.JPanel();
        goToGeneralInformationButton = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        navigationEastButtonPanel = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        goToOtherInformationButton = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        populationInformationField = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        geographicRegionInformationField = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        ethnicityInformationField = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        birthplaceInformationField = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        admixtureInformationField = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        environmentInformationField = new javax.swing.JTextField();
        jLabel24 = new javax.swing.JLabel();

        setLayout(new java.awt.GridBagLayout());

        navigationPanel.setLayout(new java.awt.BorderLayout());

        navigationPanel.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        goToGeneralInformationButton.setIcon(new javax.swing.ImageIcon("C:\\hgvbasePics\\left30.gif"));
        goToGeneralInformationButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                goToGeneralInformationButtonActionPerformed(evt);
            }
        });

        navigationWestButtonPanel.add(goToGeneralInformationButton);

        jLabel8.setText("Go to Associated Phenotype Values");
        navigationWestButtonPanel.add(jLabel8);

        navigationPanel.add(navigationWestButtonPanel, java.awt.BorderLayout.WEST);

        jLabel2.setText("Go to Other Information");
        navigationEastButtonPanel.add(jLabel2);

        goToOtherInformationButton.setIcon(new javax.swing.ImageIcon("C:\\hgvbasePics\\right30.gif"));
        goToOtherInformationButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                goToOtherInformationButtonActionPerformed(evt);
            }
        });

        navigationEastButtonPanel.add(goToOtherInformationButton);

        navigationPanel.add(navigationEastButtonPanel, java.awt.BorderLayout.EAST);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 19;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(navigationPanel, gridBagConstraints);

        jLabel13.setForeground(java.awt.SystemColor.textHighlight);
        jLabel13.setText("Population information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel13, gridBagConstraints);

        populationInformationField.setPreferredSize(new java.awt.Dimension(820, 19));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(populationInformationField, gridBagConstraints);

        jLabel14.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel14.setForeground(new java.awt.Color(255, 51, 51));
        jLabel14.setText("Free text description of the population source/structure of the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel14, gridBagConstraints);

        jLabel15.setForeground(java.awt.SystemColor.textHighlight);
        jLabel15.setText("Geographic region information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel15, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 5;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(geographicRegionInformationField, gridBagConstraints);

        jLabel16.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel16.setForeground(new java.awt.Color(255, 51, 51));
        jLabel16.setText("Free text description of the geographic region origin of the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 6;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel16, gridBagConstraints);

        jLabel17.setForeground(java.awt.SystemColor.textHighlight);
        jLabel17.setText("Ethnicity information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 7;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel17, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 8;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(ethnicityInformationField, gridBagConstraints);

        jLabel18.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel18.setForeground(new java.awt.Color(255, 51, 51));
        jLabel18.setText("Free text description of ethnicity information for the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 9;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel18, gridBagConstraints);

        jLabel19.setForeground(java.awt.SystemColor.textHighlight);
        jLabel19.setText("Birthplace information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 10;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel19, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 11;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(birthplaceInformationField, gridBagConstraints);

        jLabel20.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel20.setForeground(new java.awt.Color(255, 51, 51));
        jLabel20.setText("Free text description of birthplace information for the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 12;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel20, gridBagConstraints);

        jLabel21.setForeground(java.awt.SystemColor.textHighlight);
        jLabel21.setText("Admixture information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 13;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel21, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 14;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(admixtureInformationField, gridBagConstraints);

        jLabel22.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel22.setForeground(new java.awt.Color(255, 51, 51));
        jLabel22.setText("Free text description of any known or likely admixture in the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 15;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel22, gridBagConstraints);

        jLabel23.setForeground(java.awt.SystemColor.textHighlight);
        jLabel23.setText("Environment information");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 16;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 3, 3);
        add(jLabel23, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 17;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(3, 3, 1, 3);
        add(environmentInformationField, gridBagConstraints);

        jLabel24.setFont(new java.awt.Font("Microsoft Sans Serif", 0, 9));
        jLabel24.setForeground(new java.awt.Color(255, 51, 51));
        jLabel24.setText("Free text description of environmental factors relevant to the selected Sample-Panel");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 18;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(1, 3, 3, 3);
        add(jLabel24, gridBagConstraints);

    }// </editor-fold>//GEN-END:initComponents

    private void goToOtherInformationButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_goToOtherInformationButtonActionPerformed
        parent.switchPanel(SamplepanelPanel.OTHER);
    }//GEN-LAST:event_goToOtherInformationButtonActionPerformed

    private void goToGeneralInformationButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_goToGeneralInformationButtonActionPerformed
        parent.switchPanel(SamplepanelPanel.PHENOTYPE_VALUES);
    }//GEN-LAST:event_goToGeneralInformationButtonActionPerformed
    
    
    private SamplepanelPanel parent;
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField admixtureInformationField;
    private javax.swing.JTextField birthplaceInformationField;
    private javax.swing.JTextField environmentInformationField;
    private javax.swing.JTextField ethnicityInformationField;
    private javax.swing.JTextField geographicRegionInformationField;
    private javax.swing.JButton goToGeneralInformationButton;
    private javax.swing.JButton goToOtherInformationButton;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel navigationEastButtonPanel;
    private javax.swing.JPanel navigationPanel;
    private javax.swing.JPanel navigationWestButtonPanel;
    private javax.swing.JTextField populationInformationField;
    // End of variables declaration//GEN-END:variables
    
}
