/*
 * DataArray.java
 *
 * Created on den 9 november 2005, 15:06
 */

package phenobase.storage;

/**
 *
 * @author fresjo
 */
public class DataArray {
    
    private Object[] array;
    
    /** Creates a new instance of DataArray */
    public DataArray() {
        array = new Object[0];
    }

    /*
    public DataArray(int size) throws StorageException {
        if(size >= 0) {
            array = new Object[size];
        }
        else {
            throw new StorageException("Initial size of array must be larger or equal to zero");
        }
    }
     */
    
    public int nrOfElements() {
        return array.length;
    }
    
    public void add(Object o) {
        Object tmpArray[] = new Object[nrOfElements() + 1];
        for(int i = 0; i < nrOfElements(); i++) {
            tmpArray[i] = array[i];
        }
        tmpArray[nrOfElements()] = o;
        array = tmpArray;
    }
    
    public Object get(int index) throws ArrayIndexOutOfBoundsException {
        try {
            return array[index];
        }
        catch(ArrayIndexOutOfBoundsException e) {
            throw e;
        }
    }
    
    public Object[] getArray() {
        return array;
    }
    
    public Object remove(int index) throws StorageException {
        try {
            Object o = get(index);
            Object[] tmpArray = new Object[nrOfElements() - 1];
            int insertIndex = 0;
            for(int i = 0; i < nrOfElements(); i++) {
                if(i != index) {
                    tmpArray[insertIndex] = array[i];
                    insertIndex++;
                }
            }
            array = tmpArray;
            return o;
        }
        catch(ArrayIndexOutOfBoundsException e) {
            throw e;
        }
    }
    
    public void replace(Object o, int index) throws StorageException {
        try {
            array[index] = o;
        }
        catch(IndexOutOfBoundsException iobe) {
            throw new StorageException("Index out of bounds");
        }
    }
    
    public void print() throws StorageException {
        System.out.print("[");
        for(int i = 0; i < (nrOfElements() - 1); i++) {
            System.out.print(array[i] + ", ");
        }
        System.out.println(array[nrOfElements() - 1] + "]");
    }
}
