#!perl -w

# $Id: 01_fileparser.t 1072 2008-11-03 11:32:17Z mummi $

# Test all Perl modules compile successfully

use FindBin;
use Data::Dumper qw(Dumper);
use lib "$FindBin::Bin/lib";
my $path = "$FindBin::Bin/../lib/";
use Cwd qw(cwd);
use Test::More;
eval "use Test::Compile";
Test::More->builder->BAIL_OUT("Test::Compile required for testing compilation - $@") if $@;
chdir $path;
my @files = all_pm_files($path."HGVbaseG2P");
my @modules;

foreach my $file(@files) {
	$file =~ s/$path//;
	push @modules, $file;
}

all_pm_files_ok(@files);